
Redmine - Defect #23165

Problem with resaving issue

2016-06-24 11:57 - Michał Nowacki

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi,

We use redmine for a few years. We discovered two broken issues, which cannot be updated.

Error log:

[ 2016-06-24 11:49:13.4389 8941/b5a94b70 Pool2/Implementation.cpp:1182 ]: [App 9022 stderr] TypeEr

ror (can't convert Symbol into Integer):

[ 2016-06-24 11:49:13.4389 8941/b5a94b70 Pool2/Implementation.cpp:1182 ]: [App 9022 stderr]   app/

models/issue.rb:167:in `create_or_update'

[ 2016-06-24 11:49:13.4389 8941/b5a94b70 Pool2/Implementation.cpp:1182 ]: [App 9022 stderr]   app/

models/issue.rb:1409:in `recalculate_attributes_for'

[ 2016-06-24 11:49:13.4389 8941/b5a94b70 Pool2/Implementation.cpp:1182 ]: [App 9022 stderr]   app/

models/issue.rb:1371:in `update_parent_attributes'

[ 2016-06-24 11:49:13.4389 8941/b5a94b70 Pool2/Implementation.cpp:1182 ]: [App 9022 stderr]   app/

models/issue.rb:167:in `create_or_update'

[ 2016-06-24 11:49:13.4389 8941/b5a94b70 Pool2/Implementation.cpp:1182 ]: [App 9022 stderr]   app/

controllers/issues_controller.rb:150:in `create'

 Data of the issue:

#<Issue id: 14729, tracker_id: 22, project_id: 254, subject: "XXX", description: "", due_date: "20

15-11-23", category_id: nil, status_id: 1, assigned_to_id: 127, priority_id: 7, fixed_version_id: 

nil, author_id: 127, lock_version: 1850, created_on: "2015-01-14 13:17:34", updated_on: "2016-05-2

4 06:27:15", start_date: "2015-01-14", done_ratio: 91, estimated_hours: 1083.5099971741438, parent

_id: nil, root_id: 14729, lft: 3, rgt: 1874, is_private: false, closed_on: nil, position: 727030, 

remaining_hours: 5.0, release_id: nil, story_points: nil, release_relationship: "auto">

 Redmine versions:

Environment:

  Redmine version                2.6.3.stable

  Ruby version                   1.9.3-p448 (2013-06-27) [i686-linux]

  Rails version                  3.2.21

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.6

  Filesystem                     

Redmine plugins:

  localizable                    0.4.0

  redmine_backlogs               v1.0.4

  redmine_charts2                0.2.1

  redmine_issue_checklist        2.0.5

  redmine_release_notes          1.3.1

 I am not able to detect which attribute is trying to convert. Do you able to help as?
Best regards,

Michał

History

#1 - 2016-06-24 17:54 - Toshi MARUYAMA

- Status changed from New to Closed

Redmine 2.x is not maintained and 1.9.3-p448 is too old.
